libxml++ 5.0.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmlpp::validity_error Class Reference

This exception will be thrown when the parser encounters a validity error in the XML document. More...

`#include <libxml++/exceptions/validity_error.h>`

Inheritance diagram for xmlpp::validity_error:
[legend]

## Public Member Functions
LIBXMLPP_API | validity_error (const ustring& message)
LIBXMLPP_API | ~validity_error () noexcept override
LIBXMLPP_API exception* | clone () const override
LIBXMLPP_API void | raise () const override
Public Member Functions inherited from xmlpp::parse_error
LIBXMLPP_API | parse_error (const ustring& message)
LIBXMLPP_API | ~parse_error () noexcept override
Public Member Functions inherited from xmlpp::exception
LIBXMLPP_API | exception (const ustring& message)
LIBXMLPP_API | ~exception () noexcept override
LIBXMLPP_API const char* | what () const noexcept override

## Detailed Description

This exception will be thrown when the parser encounters a validity error in the XML document.

## Constructor & Destructor Documentation

LIBXMLPP_API xmlpp::validity_error::validity_error | ( | const ustring& | message | ) |
| explicit

LIBXMLPP_API xmlpp::validity_error::~validity_error | ( |  | ) |
| override noexcept

## Member Function Documentation

LIBXMLPP_API exception* xmlpp::validity_error::clone | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::parse_error.

LIBXMLPP_API void xmlpp::validity_error::raise | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::parse_error.